## deepin-dvsrv 0.0.10

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13.4)

project(dv)

set(CMAKE_BUILD_TYPE Release)
set(DEB_PATH "${CMAKE_CURRENT_SOURCE_DIR}/.deb/")
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${DEB_PATH}")

# SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O0 -Wall -g -ggdb")
set(DV_PATH /tmp/dv CACHE INTERNAL "dv path for socket")

# Add sub directories
add_subdirectory(dvhp)
add_subdirectory(dvsrv)
add_subdirectory(dvcli)

# 指定需要安装的文件
INSTALL(
    TARGETS dvsrv
    COMPONENT applications
    DESTINATION "bin"
)

INSTALL(
    FILES "${DEB_PATH}/org.deepin.dvsrv.service"
    DESTINATION "/usr/share/dbus-1/services"
)

INSTALL(
    FILES "${DEB_PATH}/dvsrv.sh"
    DESTINATION "/usr/bin"
)

include(deb)  # build/cmake/deb.cmake

=== debian/changelog ===
deepin-dvsrv (0.0.10-1) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 17 Jun 2022 10:29:22 +0800

deepin-dvsrv (0.0.10-1) unstable; urgency=medium

  * 解决编译错误

 --  <wayne@wayne-PC>  Thu, 16 Jun 2022 17:41:42 +0800

deepin-dvsrv (0.0.9-1) unstable; urgency=medium

  * 改用AES加密

 --  <wayne@wayne-PC>  Thu, 16 Jun 2022 16:41:30 +0800

deepin-dvsrv (0.0.8-1) unstable; urgency=medium

  * 隐藏密钥

 --  <xiewei@uniontech.com>  Tue, 14 Jun 2022 17:06:08 +0800

deepin-dvsrv (0.0.7-1) unstable; urgency=medium

  * update version to 0.0.7

 --  <liujianqiang@uniontech.com>  Thu, 09 Jun 2022 10:07:35 +0800

deepin-dvsrv (0.0.6-1) unstable; urgency=medium

  * Initial release. 

 --liujianqiang  <liujianqiang@uniontech.com>  Mon, 21 Mar 2022 11:57:55 +0800

=== debian/control ===
Source: deepin-dvsrv
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends: cmake, debhelper (>=11~), libx11-dev
Standards-Version: 4.1.4
Homepage: <insert the upstream URL, if relevant>

Package: deepin-dvsrv
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: auto-generated package by debmake
 This Debian binary package was auto-generated by the
 debmake(1) command provided by the debmake package.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  

#override_dh_auto_configure:
#	dh_auto_configure -- \
#	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"
